Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 789459

Summary: net-vpn/tor-0.4.5.8: version bump
Product: Gentoo Linux Reporter: Sam James <sam>
Component: Current packagesAssignee: Anthony Basile <blueness>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=792237
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 713688, 768369, 753776    

Description Sam James archtester gentoo-dev Security 2021-05-11 13:49:15 UTC
1 Changes in version 0.4.5.8 - 2021-05-10
    2   Tor 0.4.5.8 fixes several bugs in earlier version, backporting fixes
    3   from the 0.4.6.x series.
    4 
    5   o Minor features (compatibility, Linux seccomp sandbox, backport from 0.4.6.3-rc):
    6     - Add a workaround to enable the Linux sandbox to work correctly
    7       with Glibc 2.33. This version of Glibc has started using the
    8       fstatat() system call, which previously our sandbox did not allow.
    9       Closes ticket 40382; see the ticket for a discussion of trade-offs.
Comment 1 Larry the Git Cow gentoo-dev 2021-05-26 10:12:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=203fd5dccb18ce93e3933150740dc0284494eb03

commit 203fd5dccb18ce93e3933150740dc0284494eb03
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-05-26 10:12:31 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-26 10:12:36 +0000

    net-vpn/tor: add 0.4.5.8 for glibc 2.33 fix
    
    Contains a critical glibc 2.33 fix for seccomp.
    
    Closes: https://bugs.gentoo.org/789459
    Signed-off-by: Sam James <sam@gentoo.org>

 net-vpn/tor/Manifest           |  2 +
 net-vpn/tor/tor-0.4.5.8.ebuild | 95 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2021-05-26 13:30:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=011b7daff7ff534246794f75fd03ee13850ec5dc

commit 011b7daff7ff534246794f75fd03ee13850ec5dc
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-05-26 13:28:05 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-26 13:30:21 +0000

    net-vpn/tor: add 0.4.6.3_rc for glibc 2.33 fix
    
    Contains a critical glibc 2.33 fix for seccomp.
    
    See: 203fd5dccb18ce93e3933150740dc0284494eb03
    Closes: https://bugs.gentoo.org/792237
    Bug: https://bugs.gentoo.org/789459
    Bug: https://bugs.gentoo.org/753776
    Signed-off-by: Sam James <sam@gentoo.org>

 net-vpn/tor/Manifest              |  2 +
 net-vpn/tor/tor-0.4.6.3_rc.ebuild | 94 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2021-05-26 13:33:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fde86eea965191528d48ae7a09cc6aacef5eae13

commit fde86eea965191528d48ae7a09cc6aacef5eae13
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-05-26 13:31:30 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-26 13:33:40 +0000

    net-vpn/tor: drop 0.4.6.2_alpha
    
    Bug: https://bugs.gentoo.org/792237
    Bug: https://bugs.gentoo.org/789459
    Bug: https://bugs.gentoo.org/753776
    Signed-off-by: Sam James <sam@gentoo.org>

 net-vpn/tor/Manifest                 |  2 -
 net-vpn/tor/tor-0.4.6.2_alpha.ebuild | 94 ------------------------------------
 2 files changed, 96 deletions(-)